# Generated by Django 3.0.4 on 2020-04-20 02:16

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('basket', '0002_player'),
    ]

    operations = [
        migrations.CreateModel(
            name='Coach',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=150)),
                ('age', models.PositiveIntegerField()),
                ('email', models.EmailField(max_length=254)),
                ('rut', models.CharField(max_length=12)),
                ('nickname', models.CharField(max_length=80)),
            ],
        ),
        migrations.AddField(
            model_name='team',
            name='coach',
            field=models.OneToOneField(default=1, on_delete=django.db.models.deletion.CASCADE, to='basket.Coach'),
            preserve_default=False,
        ),
    ]
